Box.com attachment upload stopped working in Thunderbird 52 (again)

RESOLVED FIXED in Thunderbird 52.0

Status

Thunderbird
FileLink
RESOLVED FIXED
a year ago
a year ago

People

(Reporter: AlexIhrig, Unassigned)

Tracking

52 Branch
Thunderbird 52.0

Firefox Tracking Flags

(Not tracked)

Details

(Reporter)

Description

a year ago
Filelink upload to Box.com fails again in Windows Thunderbird 52 / 52.0.1 / 52.1. Downgrading to 45.8 resolves the problem and upload ist working in 45.8.

Log file output (private Data replaced by "********"):

POST 
XHR 
https://www.box.com/api/oauth2/token [HTTP/1.1 200 OK 1216ms]
POST 
http://gw.symcd.com/ [HTTP/1.1 200 OK 125ms]
GET 
XHR 
https://api.box.com/2.0/users/me [HTTP/1.1 200 OK 905ms]
2017-05-04 10:02:26    BoxService    ERROR    Failed to parse account info response: TypeError: File.createFromNsIFile(...).then is not a function
  log4moz.js:691
2017-05-04 10:02:26    BoxService    ERROR    Failed to parse account info response: TypeError: File.createFromNsIFile(...).then is not a function

2017-05-04 10:02:26    BoxService    ERROR    Account info response: {"type":"user","id":"**********","name":"**********\u00fcller","login":"**********","created_at":"2014-05-23T02:28:34-07:00","modified_at":"2017-04-25T05:35:27-07:00","language":"de","timezone":"America\/Los_Angeles","space_amount":10737418240,"space_used":19557,"max_upload_size":262144000,"status":"active","job_title":"","phone":"0172","address":"","avatar_url":"https:\/\/app.box.com\/api\/avatar\/large\/**********"}
  log4moz.js:691
2017-05-04 10:02:26    BoxService    ERROR    Account info response: {"type":"user","id":"**********","name":"**********\u00fcller","login":"**********","created_at":"2014-05-23T02:28:34-07:00","modified_at":"2017-04-25T05:35:27-07:00","language":"de","timezone":"America\/Los_Angeles","space_amount":10737418240,"space_used":19557,"max_upload_size":262144000,"status":"active","job_title":"","phone":"0172","address":"","avatar_url":"https:\/\/app.box.com\/api\/avatar\/large\/**********"}

2017-05-04 10:02:26    BoxService    ERROR    user info failed, status = 200
  log4moz.js:691
2017-05-04 10:02:26    BoxService    ERROR    user info failed, status = 200

2017-05-04 10:02:26    BoxService    ERROR    response text = {"type":"user","id":"**********","name":"**********\u00fcller","login":"**********","created_at":"2014-05-23T02:28:34-07:00","modified_at":"2017-04-25T05:35:27-07:00","language":"de","timezone":"America\/Los_Angeles","space_amount":10737418240,"space_used":19557,"max_upload_size":262144000,"status":"active","job_title":"","phone":"0172","address":"","avatar_url":"https:\/\/app.box.com\/api\/avatar\/large\/**********"}
  log4moz.js:691
2017-05-04 10:02:26    BoxService    ERROR    response text = {"type":"user","id":"**********","name":"**********\u00fcller","login":"**********","created_at":"2014-05-23T02:28:34-07:00","modified_at":"2017-04-25T05:35:27-07:00","language":"de","timezone":"America\/Los_Angeles","space_amount":10737418240,"space_used":19557,"max_upload_size":262144000,"status":"active","job_title":"","phone":"0172","address":"","avatar_url":"https:\/\/app.box.com\/api\/avatar\/large\/**********"}

2017-05-04 10:02:26    BoxService    ERROR    exception = TypeError: this._urlListener is undefined
  log4moz.js:691
2017-05-04 10:02:26    BoxService    ERROR    exception = TypeError: this._urlListener is undefined

TypeError: this._urlListener is undefined[Weitere Informationen]  nsBox.js:216:7
Thanks for reporting this. I got some back-ports mixed up. Box.com uploads work fine in TB 55 Daily, but the TB 52.x ESR was broken.

This will be fixed in the next version, either TB 52.1.1 or TB 52.2.

Fixed by bug 1348691 comment #7.
Status: NEW → RESOLVED
Last Resolved: a year ago
Resolution: --- → FIXED
Target Milestone: --- → Thunderbird 52.0
You need to log in before you can comment on or make changes to this bug.